Skip to content

Create a new initiative

Request

Creates a new initiative with the provided attributes

Bodyapplication/json
titlestringrequired

Goal title

descriptionstring

Goal description

Default:null
time_period_uuidstringrequired

Time period UUID. Its stored dates define the allowed goal date range.

start_datestring

Optional start date (YYYY-MM-DD). Must fall within the selected time period and be on or before end_date. Omit to use the time period start.

end_datestring

Optional end date (YYYY-MM-DD). Must fall within the selected time period and be on or after start_date. Omit to use the time period end.

goal_typestring

Goal type

Default:"aspirational"
Enum:"aspirational""committed"
visibilitystring

Goal visibility

Default:"public"
Enum:"public""limited"
team_uuidsArray of strings

Array of team UUIDs

Default:[]
owner_uuidsArray of strings

Array of owner UUIDs

Default:[]
labelsArray of strings

Array of label names

Default:[]
delegate_uuidsArray of strings

Array of delegate UUIDs

Default:[]
metricobject
parentsArray of strings

Array of parent goals

Default:[]
visible_entitiesArray of objects

Visible entities for limited visibility

Default:[]
POST
/rest/v2/initiatives
curl -i -X POST \
  https://api.rhythms.ai/rest/v2/initiatives \
  -H 'Content-Type: application/json' \
  -d '{
    "title": "string",
    "description": null,
    "time_period_uuid": "string",
    "start_date": "string",
    "end_date": "string",
    "goal_type": "aspirational",
    "visibility": "public",
    "team_uuids": [],
    "owner_uuids": [],
    "labels": [],
    "delegate_uuids": [],
    "metric": {
      "name": "Progress",
      "start_value": 0,
      "target_value": 100,
      "unit": "percentage",
      "metric_type": "reach"
    },
    "parents": [],
    "visible_entities": []
  }'

Responses

Created

Headers
any
Body*/*
dataobjectrequired
Response
{
  "data": {
    "type": "string",
    "record": {
      "uuid": "string",
      "type": "string",
      "title": "string",
      "description": null,
      "start_date": "string",
      "end_date": "string",
      "goal_type": "aspirational",
      "time_period_uuid": "string",
      "current_metric_uuid": null,
      "creator_uuid": "string",
      "last_checkin_date": null,
      "score": null,
      "current_progress": null,
      "current_value": null,
      "current_status": "not_started",
      "source_uuid": null,
      "source_type": null,
      "path": null,
      "searchable_content": null,
      "progress_mode": "manual",
      "value_updated_at": null,
      "status_updated_at": null,
      "value_updated_by_uuid": null,
      "status_updated_by_uuid": null,
      "visibility": "public",
      "ai_rollup_enabled": false,
      "data_sources_count": 0,
      "discarded_at": null,
      "discarded_by_uuid": null,
      "short_id_uuid": null,
      "archived_at": null,
      "archived_by_uuid": null,
      "short_id": "string",
      "owner_uuids": [
        "string"
      ],
      "target": null,
      "unit": null,
      "metric_type": null,
      "parent_links": [
        {
          "parent_uuid": "string",
          "contribution_percent": 0
        }
      ],
      "visible_entities": [
        {
          "entity_type": "User",
          "entity_uuid": "string",
          "mode": "direct"
        }
      ]
    },
    "checks": null,
    "access_source": null
  }
}